import { GeoJSON } from 'geojson';
import { STCRoutePathType } from '.';
export declare function getGeoJsonNodeIterator(geoJsonNode: GeoJSON): Generator<import("geojson").Geometry, void, undefined>;
export declare function geoPolylinesFromGeoJson(geoJsonNode: GeoJSON): Generator<import("geojson").Position[], void, undefined>;
export declare function getSTCRoutePathsFromGeoJson(geoJsonNode: GeoJSON, width: number, repeatLength: number): STCRoutePathType[];
